Get multiple records
curl --request GET \
--url https://staging-vouchers.ventogram.com/api/v1/voucher/get-many \
--header 'X-Api-Key: <api-key>' \
--header 'X-Api-User: <api-key>'import requests
url = "https://staging-vouchers.ventogram.com/api/v1/voucher/get-many"
headers = {
"X-Api-User": "<api-key>",
"X-Api-Key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-User': '<api-key>', 'X-Api-Key': '<api-key>'}};
fetch('https://staging-vouchers.ventogram.com/api/v1/voucher/get-many', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"data": [
{
"id": "<string>",
"email": "<string>",
"amount": 123,
"fee": 123,
"currency": "<string>",
"expectedAmount": 123,
"fullname": "<string>",
"merchant": "<string>",
"memo": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"rateKey": "<string>",
"voucherCode": "<string>",
"paidAt": "2023-11-07T05:31:56Z",
"receivedAmount": 123,
"dateRedeemed": "2023-11-07T05:31:56Z",
"rate": 123
}
],
"meta": {
"nextPage": "<string>",
"prevPage": "<string>"
}
}{
"success": false,
"message": "<string>",
"errors": [
"<string>"
]
}Collect & Onramp
Get multiple records
Retrieves a collection of voucher records, sorted in descending order by their creation date.
GET
/
v1
/
voucher
/
get-many
Get multiple records
Query Parameters
Defaults to 1. This is the current page being requested relative to size of a page
The number of items to be retured per page
Voucher payment status
Available options:
paid, unpaid Was this page helpful?
⌘I